Gentoo Archives: gentoo-osx

From: m h <sesquile@×××××.com>
To: gentoo-osx@l.g.o
Subject: Re: [gentoo-osx] [PREFIX] Verbose info regarding 2.1.11 Linux install.
Date: Tue, 21 Mar 2006 22:33:49
Message-Id: e36b84ee0603211433t4e1e42a8sb53aab80dc389f0f@mail.gmail.com
In Reply to: Re: [gentoo-osx] [PREFIX] Verbose info regarding 2.1.11 Linux install. by m h
On 3/21/06, m h <sesquile@×××××.com> wrote:
> ARGHHH! > > gcc bombs out on me now! (internal compiler error) > I'm running RHEL 4 under vmware. I guess I need to try on bare hardware.... > > I'm assumming no one else has run into this? > > emerge -av gcc >
My initial attempt to fix this was to try and install binutils (instead of providing it). In order to do so, I had to add the binutils-config ebuild into the tree. To do that I needed to add EAPI="prefix" which caused the digest check to fail. To recreate the digest I needed pycrypto. So I tried installing pycrypto, which failed.
>>> Compiling source in
/tmp/Mar20/var/tmp/portage/pycrypto-2.0.1/work/pycrypto-2.0.1 ... python: error while loading shared libraries: libpython2.4.so.1.0: cannot open shared object file: No such file or directory !!! ERROR: dev-python/pycrypto-2.0.1 failed. Call stack: ebuild.sh, line 1658: Called dyn_compile ebuild.sh, line 1056: Called src_compile ebuild.sh, line 1368: Called distutils_src_compile !!! compilation failed !!! If you need support, post the topmost build error, and the call stack if relevant. --------------------- Apparently (according to strace) python is looking for the 2.4 libraries (libpython2.4.so.1.0) in /usr/lib instead of ${PREFIX}/usr/lib... Guess I'll try the bare hardware route.... -- gentoo-osx@g.o mailing list

Replies